#
#     MOUSE.MAK - Makefile for the real-mode, DPMI16, and DPMI32
#                 mouse, and BGI graphics program.
#
#     Copyright (c) 1994 by Borland International
#     All Rights Reserved.
#
#
#     To compile use 'MAKE -f mouse.mak ...'
#
#     -DDOS16        Build the 16-bit DPMI version
#
#     -DDOS32        Build the 32-bit DPMI version
#
#     -DDEBUG        Build the app with full debug info
#

.AUTODEPEND

NAME = MOUSE
ASMNAME = MOUSEA
ASMFLAGS = /ml
LIB = $(MAKEDIR)\..\lib
INCLUDE = $(MAKEDIR)\..\include

!if $d(DEBUG)
ASMFLAGS    = $(ASMFLAGS) /zi
CCFLAGS     = $(CCFLAGS) -v -N
LINKFLAGS   = $(LINKFLAGS) /v
!endif

!if $d(DOS32)
LIBNAME     = BGI32.LIB
AS          = TASM32.EXE
CC          = BCC32.EXE
LINK        = TLINK32.EXE
ASMFLAGS    = $(ASMFLAGS) /D__DPMI32__
CCFLAGS     = $(CCFLAGS) -c -WX -B
LINKFLAGS   = $(LINKFLAGS) /c /x /ax /Tpe
STARTUPCODE = C0X32.OBJ
RTL         = $(LIB)\DPMI32.LIB $(LIB)\CW32.LIB
!elif $d(DOS16)
LIBNAME     = BGI16.LIB
AS          = TASM.EXE
CC          = BCC.EXE
LINK        = TLINK.EXE
ASMFLAGS    = $(ASMFLAGS) /D__DPMI16__
CCFLAGS     = $(CCFLAGS) -c -WX -ml
LINKFLAGS   = $(LINKFLAGS) /c /Txe
STARTUPCODE = C0X.OBJ
RTL         = $(LIB)\DPMI16.LIB $(LIB)\EMUX.LIB \
              $(LIB)\MATHWL.LIB $(LIB)\CWL.LIB
!else
LIBNAME     = GRAPHICS.LIB
AS          = TASM.EXE
CC          = BCC.EXE
LINK        = TLINK.EXE
CCFLAGS     = $(CCFLAGS) -c -ml
LINKFLAGS   = $(LINKFLAGS) /c
STARTUPCODE = C0L.OBJ
RTL         = $(LIB)\EMU.LIB $(LIB)\MATHL.LIB $(LIB)\CL.LIB
!endif


OBJS = $(ASMNAME).obj $(NAME).obj

$(NAME).exe: $(OBJS)
     $(LINK) @&&~
$(LINKFLAGS) $(STARTUPCODE) $(OBJS)
$(NAME).exe

$(LIBNAME) $(RTL)
~

.asm.obj:
     $(AS) $(ASMFLAGS) $*.asm

.c.obj:
     $(CC) $(CCFLAGS) $*.c

clean:
     del *.obj > NUL
     del *.exe > NUL
     del *.map > NUL
